how to get rid of iso projection in model space and see simple top view
I want to draft a flat sheet metal part. I don't need an iso view(?) in model space. I just want to look down onto x and y axes. Is there a way to do this?
Thanks
Thanks
0
Comments
-
_PLAN command ?0
-
Torsten,
Yes! Thank you, that worked. I would not have guessed the command name "PLAN". I should have found it under the View Rotation chapter in the user manual.
: PLAN
Plan view of: UCS/World/:0 -
The plan command can be very handy, I have written a small script (below) that will reset the plan view to be parallel to the current XY plane, I find this handy if I need to build a feature on a face of a 3D solid that is not parallel to the current plan. Using a second script, also below, that allows me to set the UCS to a current face, and then running my second command aligns the x and y axis according to the selected face and then rotates the view to match so that I don't have to draw at a weird 3D angle. The second UCS command below has since been replaced by the dynamic ucs, so, it may be obsolete in some cases, personally, I don't use the dynamic UCS.[code](defun c:uf () ;Align the ucs to a selected face(princ "\n")(princ "SELECT AN FACE TO ALIGN UCS:")(princ "\n")(command ".ucs" "f" pause "")(princ))(defun c:pc () ;Align the plan view to the XY plane of the current UCS - also works when the UCS is set to the World coord. system.(command ".plan" "c")(princ))[/code]0
-
Thanks for your comment Scott. It did get me thinking about UCS more. Here I tried (manually) putting the UCS on a face.
Not sure how to make a picture inline in the post (it asks for a URL, but it is on my computer), so I am attaching it.ucs f to move ucs to face.png0
This discussion has been closed.